
function Create(self)

	self.switchToWeapon = "Slugger Pistol"; -- PresetName of gun to switch to
	self.switchToClass = "HDFirearm"; -- ClassName of gun to switch to
	self.BurstTimer = Timer()
	self.switchPhase = 0;

end

function Update(self)

	if self.switchPhase == 0 then
		self.parent = MovableMan:GetMOFromID(self.RootID);
		if MovableMan:IsActor(self.parent) then
			if ToActor(self.parent).AIMode == Actor.AIMODE_GOLDDIG then
				ToActor(self.parent).AIMode = Actor.AIMODE_SENTRY;
				if self.switchToClass == "HDFirearm" then
					local switchGun = ToActor(self.parent):AddInventoryItem(CreateHDFirearm(self.switchToWeapon));
				elseif self.switchToClass == "TDExplosive" then
					local switchGun = ToActor(self.parent):AddInventoryItem(CreateTDExplosive(self.switchToWeapon));
				elseif self.switchToClass == "HeldDevice" then
					local switchGun = ToActor(self.parent):AddInventoryItem(CreateHeldDevice(self.switchToWeapon));
				end
				ToActor(self.parent):GetController():SetState(Controller.WEAPON_DROP,true);
				self.switchPhase = 1;
			end
		end
	else
		if MovableMan:IsActor(self.parent) then
			if ToActor(self.parent):IsInventoryEmpty() == false then
				ToActor(self.parent):GetController():SetState(Controller.WEAPON_CHANGE_PREV,true);
			end
		end
		self.ToDelete = true;
	end
	if self:IsActivated() and self.Magazine then
		if not self.burst then
			self.burst = self.Magazine.RoundCount
			self.BurstTimer:Reset()
		elseif self.burst - 3 >= self.Magazine.RoundCount then
			self:Deactivate()
			if self.BurstTimer:IsPastSimMS(800) then
				self.burst = nil
			end
		end
	else
		self.burst = nil
	end
end

